#STYLES#
init python:
    def WeightedChoice(choices):
        """
        @param choices: A list of (choice, weight) tuples. Returns a random
        choice (using renpy.random as the random number generator)
        """
        totalweight = 0.0
        for choice, weight in choices:
            totalweight += weight
        randval = renpy.random.random() * totalweight
        for choice, weight in choices:
            if randval <= weight:
                return choice
            else:
                randval -= weight


init:

    transform blur(child):
        contains:
            child
            alpha 1.0
        contains:
            child
            alpha 0.2 xoffset -3
        contains:
            child
            alpha 0.2 xoffset 3
        contains:
            child
            alpha 0.2 yoffset -3
        contains:
            child
            alpha 0.2 yoffset 3

    transform zoom_blur(child):
        contains:
            child
            alpha 1.0
        contains:
            child
            alpha 0.2 zoom 1.015
        contains:
            child
            alpha 0.2 zoom 1.010
        contains:
            child
            alpha 0.2 zoom 0.995
        contains:
            child
            alpha 0.2 zoom 0.990

init:
    style my_input:
        is default
        color "#000"
        hover_color "#3399ff"
        size 25

    style input_button:
        is button
        yalign 1.0
        key_events True
        xysize (250, 25)

    python:
        class MyInputValue(InputValue):
            def __init__(self, var, default=""):
                self.var = var

                if not hasattr(store, var):
                    setattr(store, var, default)

            def get_text(self):
                return getattr(store, self.var)

            def set_text(self, s):
                setattr(store, self.var, s)

            def enter(self):
                renpy.run(self.Disable())
                raise renpy.IgnoreEvent()


image mm_woohp1:
    "ui/menu/mm_woohp.png"
    xpos 0 ypos -1080
    linear 35 xpos 1920 ypos -2160
    repeat

image mm_woohp2:
    "ui/menu/mm_woohp.png"
    xpos -1920 ypos 0
    linear 35 xpos 0 ypos -1080
    repeat

image PD_buttons:
    "ui/menu/PD_anim/es1.png"
    pause 1.5
    "ui/menu/PD_anim/es2.png"
    pause 0.05
    "ui/menu/PD_anim/es3.png"
    pause 0.05
    "ui/menu/PD_anim/es4.png"
    pause 0.05
    "ui/menu/PD_anim/es5.png"
    pause 0.05
    "ui/menu/PD_anim/es6.png"
    pause 0.05
    "ui/menu/PD_anim/es7.png"
    pause 0.05
    "ui/menu/PD_anim/es8.png"
    pause 0.05
    "ui/menu/PD_anim/es9.png"
    pause 0.05
    "ui/menu/PD_anim/es10.png"
    pause 0.05
    "ui/menu/PD_anim/es11.png"
    pause 0.05
    repeat

init python:
    def _scroll(img, effect = None, delay = 5):
        renpy.show(img + "1", what = ImageReference(img), at_list = [scroll_1(delay)])
        renpy.show(img + "2", what = ImageReference(img), at_list = [scroll_2(delay)])
        renpy.with_statement(effect)
    def _hide(img, effect = None):
        renpy.hide(img + "1")
        renpy.hide(img + "2")
        renpy.with_statement(effect)


init python:
    renpy.add_layer("ui_layer", above = "screens", below = None, menu_clear = True)


#CHARACTERS#

define s = Character("Sam", color="#52de79")
define a = Character("Alex", color="#f3f565")
define c = Character("Clover", color="#ff868f")
define j = Character("Jerry", color="#828b9b")
define mc = DynamicCharacter("firstname", color="#ffffff")
define b = Character("Brianna", color="#b79eff")
define bg1 = Character("Agent 1", color="#ffffff")
define bg2 = Character("Agent 2", color="#ffffff")
define g = Character("Gladis", color="#40fff8")
define sk = Character("Shop Keeper", color="#d48383")
define ct = Character("Caitlin", color="d46ab5")
define unknw = Character("???", color="#ffffff")
define libr = Character("Librarian", color="#ffffff")

#VARIABLES#

define longfade = Fade(0.5, 1.0, 0.5)
default firstname = "Name"
default lastname = "Surname"
define minderase = False
define percent = "%"
define daytime = 1
default tutorial = True
default WooHpMCSeating = False
define estimatedtime = 1
define successchance = 95
define AMood = 1
define SMood = 1
define CMood = 1
define Day = 0
define NameDay = 0
define DayOfTheWeek = ['Понедельник', 'Вторник', 'Среда', 'Вторник', 'Пятница', 'Суббота', 'Воскресенье']
define Scenes = ['char_room', 'woohp_main_room', 'char_house']
define LocationName = ['Моя комната', 'WOOHP', 'Улица', 'Ресторан', 'Магазин', 'Пентхаус Шпионов', 'Магазин одежды', 'Тренажёрный зал', 'Библиотека', 'Гостиная', 'Второй этаж', 'Комната Алекс', 'Комната Сэм', 'Комната Кловер']
define Ap = "'"
define CharPosition = 0
define MissionDay = 0
define Mission_Active = False
define Result = 100
define SkipDayAllowed = False
define TPAllowed = False
define money = 15
define WHmoney = 0
define MarkerA_X = 0
define MarkerB_X = 0
define MarkerC_X = 0
define MarkerA_Y = 0
define MarkerB_Y = 0
define MarkerC_Y = 0
define infocheck = 3
define MarkerAName = ""
define MarkerBName = ""
define MarkerCName = ""
define LOC1 = 0
define LOC2 = 0
define LOC3 = 0
define daystextA = 0
define chanceA = 0
define daystextB = 0
define chanceB = 0
define daystextC = 0
define chanceC = 0
define fakecheck = 0
define FontSize = 48
define NameY = 342
define job_UNL = False
define shop_UNL = False
define spieshouse_UNL = False
define library_UNL = False
define clothesshop_UNL = False
define gym_UNL = False
define firstvisitsh = True
define Secondfloor_UNL = False
define spieshousedoor_UNL = True
define firstshop = True
define firstjob = True
define firstday_job = 0
define AlexPresent = False
define SamPresent = False
define CloverPresent = False
define Check = False
define AlexPhotosMission = False
define AlexPhoto = False
define CloverPhotosMission = False
define CloverPhoto = False
define SamPhotosMission = False
define SamPhoto = False
define AlexRelations = 0
define SamRelations = 0
define Sam1t_lvl = 0
define CloverRelations = 0
define MissionsAllowed = False
define SamSceneSeen = False
define BookFound = False
define q1 = 0
define q2 = 0
define q3 = 0
define q4 = 0
define q5 = 0
define ssw = 0
define Working_Allowed = False
define CloverPresentMission = 0
define AlexPresentMission = 0
define SamPresentMission = 0
define Training_Allowed = False
define PeekAllowed = False
define Lf = True
define SK_End1 = False
define SK_End2 = False
define SK_End3 = False
define SamPhotoGiven = False
define AlexPhotoGiven = False
define CloverPhotoGiven = False
define CloverAngry = False
define AlexAngry = False
define SamAngry = False
define SmallTalkFirstFloorSpecialForThisMomentOnlyOnceAndForAll = False
define introfinal = False
define WoohpUrgent = False
define MUITES = False




#LAYEREDCHARACTERMODELS#

layeredimage Alex:
    always:
        "alex_base"

    group outfit:
        attribute alex_clothes1 default:
            "alex_clothes1"
        attribute alex_clothes2:
            "alex_clothes2"
        attribute alex_clothes3:
            "alex_clothes3"
        attribute suit:
            "alex_suit"
        attribute alex_nude:
            "alex_nip"

    group brows:
        attribute b1 default:
            "alex_brow1"
        attribute b2:
            "alex_brow2"
        attribute b3:
            "alex_brow3"
        attribute b4:
            "alex_brow4"

    group mouth:
        attribute m1 default:
            "alex_mouth1"
        attribute m2:
            "alex_mouth2"
        attribute m3:
            "alex_mouth3"
        attribute m4:
            "alex_mouth4"
        attribute m5:
            "alex_mouth5"
        attribute m6:
            "alex_mouth6"
        attribute m7:
            "alex_mouth7"

    group eyes:
        attribute e1:
            "alex_eyes1"
        attribute e2 default:
            "alex_eyes2"
        attribute e3:
            "alex_eyes3"
        attribute e4:
            "alex_eyes4"
        attribute e5:
            "alex_eyes5"
        attribute e6:
            "alex_eyes6"
        attribute e7:
            "alex_eyes7"
        attribute e8:
            "alex_eyes8"
        attribute e9:
            "alex_eyes9"
        attribute e10:
            "alex_eyes10"
        attribute e11:
            "alex_eyes11"

    group hair:
        attribute alex_hair1 default:
            "alex_hair1"

    group arm:
        attribute alex_clothes1 default:
            "alex_arm_clothes1"
        attribute alex_clothes2:
            "alex_arm_clothes2"
        attribute alex_clothes3:
            "alex_arm_clothes3"
        attribute suit:
            "alex_arm_costume"
        attribute alex_arm_nude:
            "alex_arm_nude"

    group blush:
        attribute noblush default:
            "alex_nothing"
        attribute blush:
            "alex_blush"

layeredimage Brianna:
    always:
        "brianna_base"

    group arm:
        attribute brianna_casual1 default:
            "brianna_arm1_clothes"
        attribute brianna_casual2:
            "brianna_arm2_clothes"
        attribute brianna_nude1:
            "brianna_arm1"
        attribute brianna_nude2:
            "brianna_arm2"

    group outfit_bottom:
        attribute brianna_casual default:
            "brianna_pants"
        attribute brianna_thights:
            "brianna_thights"
        attribute brianna_nude:
            "brianna_nothing"

    group outfit_top:
        attribute brianna_casual default:
            "brianna_top"
        attribute brianna_nude:
            "brianna_nip"

    group brows:
        attribute b1 default:
            "brianna_brow1"
        attribute b2:
            "brianna_brow2"

    group mouth:
        attribute m1 default:
            "brianna_mouth1"
        attribute m2:
            "brianna_mouth2"

    group eyes:
        attribute e1 default:
            "brianna_eyes1"
        attribute e2:
            "brianna_eyes2"
        attribute e3:
            "brianna_eyes3"
        attribute e4:
            "brianna_eyes4"
        attribute e5:
            "brianna_eyes5"
        attribute e6:
            "brianna_eyes6"
        attribute e7:
            "brianna_eyes7"
        attribute e8:
            "brianna_eyes8"
        attribute e9:
            "brianna_eyes9"
        attribute e10:
            "brianna_eyes10"

    group mouth:
        attribute m1 default:
            "brianna_mouth1"
        attribute m2:
            "brianna_mouth2"
        attribute m3:
            "brianna_mouth3"
        attribute m4:
            "brianna_mouth4"
        attribute m5:
            "brianna_mouth5"

    group hair:
        attribute brianna_hair default:
            "brianna_hair"

layeredimage Clover:
    always:
        "clover_base"

    group arm:
        attribute clover_arm default:
            "clover_arm"

    group outfit:
        attribute clover_clothes1 default:
            "clover_clothes1"
        attribute clover_clothes2:
            "clover_clothes2"
        attribute clover_clothes3:
            "clover_clothes3"
        attribute suit:
            "clover_suit"
        attribute clover_nude:
            "clover_nip"

    group suit_arm:
        attribute clover_nothing default:
            "clover_nothing"
        attribute suit:
            "clover_arms_suit"

    group brows:
        attribute b1 default:
            "clover_brow1"
        attribute b2:
            "clover_brow2"
        attribute b3:
            "clover_brow3"
        attribute b4:
            "clover_brow4"

    group mouth:
        attribute m1 default:
            "clover_mouth1"
        attribute m2:
            "clover_mouth2"
        attribute m3:
            "clover_mouth3"
        attribute m4:
            "clover_mouth4"
        attribute m5:
            "clover_mouth5"
        attribute m6:
            "clover_mouth6"
        attribute m7:
            "clover_mouth7"

    group eyes:
        attribute e1:
            "clover_eyes1"
        attribute e2 default:
            "clover_eyes2"
        attribute e3:
            "clover_eyes3"
        attribute e4:
            "clover_eyes4"
        attribute e5:
            "clover_eyes5"
        attribute e6:
            "clover_eyes6"
        attribute e7:
            "clover_eyes7"
        attribute e8:
            "clover_eyes8"
        attribute e9:
            "clover_eyes9"
        attribute e10:
            "clover_eyes10"
        attribute e11:
            "clover_eyes11"
        attribute e12:
            "clover_eyes12"

    group hair:
        attribute clover_hair1 default:
            "clover_hair1"
        attribute clover_hair2:
            "clover_hair2"

    group blush:
        attribute noblush default:
            "clover_nothing"
        attribute blush:
            "clover_blush"

layeredimage Sam:
    always:
        "sam_base"

    group panties:
        attribute sam_lingerie:
            "sam_panties"
        attribute sam_panties:
            "sam_panties"
        attribute sam_pantiesn default:
            "sam_nothing"
        attribute sam_nude:
            "sam_nothing"

    group brows:
        attribute b1 default:
            "sam_brow1"
        attribute b2:
            "sam_brow2"
        attribute b3:
            "sam_brow3"
        attribute b4:
            "sam_brow4"

    group mouth:
        attribute m1 default:
            "sam_mouth1"
        attribute m2:
            "sam_mouth2"
        attribute m3:
            "sam_mouth3"
        attribute m4:
            "sam_mouth4"
        attribute m5:
            "sam_mouth5"
        attribute m6:
            "sam_mouth6"
        attribute m7:
            "sam_mouth7"

    group hair:
        attribute sam_hair1 default:
            "sam_hair1"
        attribute sam_hair2:
            "sam_hair2"

    group eyes:
        attribute e1:
            "sam_eyes1"
        attribute e2 default:
            "sam_eyes2"
        attribute e3:
            "sam_eyes3"
        attribute e4:
            "sam_eyes4"
        attribute e5:
            "sam_eyes5"
        attribute e6:
            "sam_eyes6"
        attribute e7:
            "sam_eyes7"
        attribute e8:
            "sam_eyes8"
        attribute e9:
            "sam_eyes9"
        attribute e10:
            "sam_eyes10"
        attribute e11:
            "sam_eyes11"
        attribute e12:
            "sam_eyes12"

    group arm:
        attribute sam_casual default:
            "sam_arms"
        attribute suit:
            "sam_arms_suit"

    group outfit:
        attribute sam_clothes1 default:
            "sam_clothes1"
        attribute sam_clothes2:
            "sam_clothes2"
        attribute sam_clothes3:
            "sam_clothes3"
        attribute suit:
            "sam_suit"
        attribute sam_nude:
            "sam_nip"
        attribute sam_lingerie:
            "sam_bra"
        attribute sam_bra:
            "sam_bra"
        attribute sam_nobra:
            "sam_nip"

    group blush:
        attribute noblush default:
            "sam_nothing"
        attribute blush:
            "sam_blush"

layeredimage Mc:
    always:
        "mc_base"

    group outfit:
        attribute mc_clothes default:
            "mc_clothes"

    group brows:
        attribute b1 default:
            "mc_brow1"
        attribute b2:
            "mc_brow2"
        attribute b3:
            "mc_brow3"
        attribute b4:
            "mc_brow4"
        attribute b5:
            "mc_brow5"

    group mouth:
        attribute m1 default:
            "mc_mouth1"
        attribute m2:
            "mc_mouth2"
        attribute m3:
            "mc_mouth3"
        attribute m4:
            "mc_mouth4"
        attribute m5:
            "mc_mouth5"
        attribute m6:
            "mc_mouth6"

    group eyes:
        attribute e1:
            "mc_eyes1"
        attribute e2:
            "mc_eyes2"
        attribute e3:
            "mc_eyes3"
        attribute e4:
            "mc_eyes4"
        attribute e5:
            "mc_eyes5"
        attribute e6:
            "mc_eyes6"
        attribute e7 default:
            "mc_eyes7"
        attribute e8:
            "mc_eyes8"
        attribute e9:
            "mc_eyes9"
        attribute e10:
            "mc_eyes10"
        attribute e11:
            "mc_eyes11"
        attribute e12:
            "mc_eyes12"

    group hair:
        attribute mc_hair default:
            "mc_hair"

layeredimage Caitlin:
    always:
        "caitlin_base"

    group outfit:
        attribute caitlin_clothes1 default:
            "caitlin_clothes1"
        attribute caitlin_nude:
            "caitlin_nip"

    group brows:
        attribute b1 default:
            "caitlin_brow1"
        attribute b2:
            "caitlin_brow2"
        attribute b3:
            "caitlin_brow3"

    group mouth:
        attribute m1 default:
            "caitlin_mouth1"
        attribute m2:
            "caitlin_mouth2"
        attribute m3:
            "caitlin_mouth3"
        attribute m4:
            "caitlin_mouth4"
        attribute m5:
            "caitlin_mouth5"

    group nose:
        attribute caitlin_nose default:
            "caitlin_nose"

    group eyes:
        attribute e1 default:
            "caitlin_eyes1"
        attribute e2:
            "caitlin_eyes2"
        attribute e3:
            "caitlin_eyes3"
        attribute e4:
            "caitlin_eyes4"
        attribute e5:
            "caitlin_eyes5"
        attribute e6:
            "caitlin_eyes6"
        attribute e7:
            "caitlin_eyes7"

    group hair:
        attribute caitlin_hair1 default:
            "caitlin_hair1"

    group left_arm:
        attribute caitlin_larm1 default:
            "caitlin_larm1"

    group right_arm:
        attribute caitlin_rarm1 default:
            "caitlin_rarm1"
        attribute caitlin_rarm2:
            "caitlin_rarm2"

    group blush:
        attribute caitlin_nothing default:
            "caitlin_nothing"

layeredimage BodyGuard1:
    group talking:
        attribute nt default:
            "bodyguard1"
        attribute t:
            "bodyguard1_t"

layeredimage BodyGuard2:
    group talking:
        attribute nt default:
            "bodyguard2"
        attribute t:
            "bodyguard2_t"

layeredimage Gladis:
    group talking:
        attribute nt default:
            "gladis_nt"
        attribute t:
            "gladis_t"

layeredimage Shopkeeper:
    group talking:
        attribute nt default:
            "shopkeeper_idle"
        attribute t:
            "shopkeeper_talking"
