﻿init -1 python:
    import renpy.store as store
    import renpy.exports as renpy
    from operator import attrgetter

    inv_page = 0
    item = None

    class Item(store.object):
        def __init__(self, name, image="", cost=0):
            self.name = name
            self.image=image
            self.cost=cost

    class Inventory(store.object):
        def __init__(self, money=10):
            self.money = money
            self.items = []
        def add(self, item):
            self.items.append(item)
        def drop(self, item):
            self.items.remove(item)
        def buy(self, item):
            if self.money >= item.cost:
                self.items.append(item)
                self.money -= item.cost

    def item_use():
        item.use()


screen inventory_screen:
    add "ui/inv/inventory.png"
    modal True
    imagebutton idle "ui/inv/inventory_close.png" focus_mask True action Hide("inventory_screen"), Show("ui")
    $ x = 496
    $ y = 63
    $ i = 0
    $ sorted_items = inventory.items
    $ next_inv_page = inv_page + 1
    if next_inv_page != 1:
        $ previous_inv_page = next_inv_page - 2
    if inv_page == 1:
            $ previous_inv_page = 0
    for item in sorted_items:
        if i+1 <= (inv_page+1)*8 and i+1>inv_page*8:
            $ x = x + 240
            if i%4==0:
                $ y += 193
                $ x = 496
            $ pic = item.image
            $ my_tooltip = "tooltip_inventory_" + pic.replace("items/inv_", "").replace(".png", "")
            imagebutton idle pic hover pic xpos x ypos y action NullAction() hovered [ Show("gui_tooltip", my_picture=my_tooltip, my_tt_ypos=693) ] unhovered [Hide("gui_tooltip")] at inv_eff
        $ i = i + 1
        if len(inventory.items)>8:
            if next_inv_page <= int(len(inventory.items)/8):
                imagebutton auto "ui/inv/inventory_right_%s.png" focus_mask True action [SetVariable('inv_page', next_inv_page), Show("inventory_screen")]
            if inv_page != 0:
                imagebutton auto "ui/inv/inventory_left_%s.png" focus_mask True action [SetVariable('inv_page', previous_inv_page), Show("inventory_screen")]

screen gui_tooltip (my_picture="", my_tt_xpos=510, my_tt_ypos=666):
    add my_picture xpos 500 ypos 657

init -1:
    transform inv_eff:
        zoom 1 xanchor 1 yanchor 1
        on idle:
            linear 0.2 alpha 1.0
        on hover:
            linear 0.2 alpha 2.5

    image tooltip_inventory_tcs=LiveComposite((950, 108), (3,0), Text("Тактическое соблазнение. An ultimate training course by \nJ. Lewis.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_compowder=LiveComposite((950, 108), (3,0), Text("Компводер.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_present_alex=LiveComposite((950, 108), (3,0), Text("Подарок для Алекса.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_present_sam=LiveComposite((950, 108), (3,0), Text("Подарок для Сэм.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_present_clover=LiveComposite((950, 108), (3,0), Text("Подарок для Кловер.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_alex_photo=LiveComposite((950, 108), (3,0), Text("Фотография Алекса.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_clover_photo=LiveComposite((950, 108), (3,0), Text("Фото Сэм.", font="fonts/ArialRounded.otf"))
    image tooltip_inventory_sam_photo=LiveComposite((950, 108), (3,0), Text("Фотография Кловер.", font="fonts/ArialRounded.otf"))
