init -1 python:
    import renpy.store as store
    import renpy.exports as renpy
    import random
    import math
    import pygame

    class Location(store.object):
        def __init__(self, name, location_x, location_y):
            self.name = name
            self.location_x = location_x
            self.location_y = location_y

    class Missions(renpy.Displayable):
        def __init__(self, **properties):
            global daystext, chance, Loc_Array, Result, MarkerA_X, MarkerA_Y, MarkerB_X, MarkerB_Y, MarkerC_X, MarkerC_Y, MarkerAName, MarkerBName, MarkerCName, daystextA, daystextB, daystextC, chanceA, chanceB, chanceC, FontSize, infocheck
            super(Missions, self).__init__(**properties)
            Mood_Alex_GFX = ["minigames/missions/mood/alex_low.png", "minigames/missions/mood/alex_normal.png", "minigames/missions/mood/alex_high.png"]
            Mood_Clover_GFX = ["minigames/missions/mood/clover_low.png", "minigames/missions/mood/clover_normal.png", "minigames/missions/mood/clover_high.png"]
            Mood_Sam_GFX = ["minigames/missions/mood/sam_low.png", "minigames/missions/mood/sam_normal.png", "minigames/missions/mood/sam_high.png"]
            self._missions_menu = renpy.displayable("minigames/missions/missions_menu.png")
            self._AMood_D = renpy.displayable(Mood_Alex_GFX[AMood])
            self._CMood_D = renpy.displayable(Mood_Clover_GFX[CMood])
            self._SMood_D = renpy.displayable(Mood_Sam_GFX[SMood])
            self._marker = renpy.displayable("minigames/missions/marker_idle.png")

            LA = Loc_Array[LOC1]
            LB = Loc_Array[LOC2]
            LC = Loc_Array[LOC3]

            MarkerA_X = LA.location_x - 21
            MarkerA_Y = LA.location_y - 63
            MarkerAName = LA.name
            MarkerB_X = LB.location_x - 21
            MarkerB_Y = LB.location_y - 63
            MarkerBName = LB.name
            MarkerC_X = LC.location_x - 21
            MarkerC_Y = LC.location_y - 63
            MarkerCName = LC.name

            self._HQ_x = 395
            self._HQ_y = 473

            MXHQA = LA.location_x - self._HQ_x
            MXHQB = LB.location_x - self._HQ_x
            MXHQC = LC.location_x - self._HQ_x

            MYHQA = LA.location_y - self._HQ_x
            MYHQB = LB.location_y - self._HQ_x
            MYHQC = LC.location_y - self._HQ_x

            distanceA = pow(MXHQA*MXHQA+MYHQA*MYHQA, .5)
            distanceB = pow(MXHQB*MXHQB+MYHQB*MYHQB, .5)
            distanceC = pow(MXHQC*MXHQC+MYHQC*MYHQC, .5)

            self.DaysA = round(distanceA / 100)
            self.DaysB = round(distanceB / 100)
            self.DaysC = round(distanceC / 100)

            daystextA = int(self.DaysA)
            daystextB = int(self.DaysB)
            daystextC = int(self.DaysC)

            chanceA = 75+((AMood+SMood+CMood)*3)
            chanceB = 50+((AMood+SMood+CMood)*3)
            chanceC = 25+((AMood+SMood+CMood)*3)

            Result = random.randint(0, 100)

        def render (self, width, height, st, at):
            render = renpy.render(self._missions_menu, width, height, st, at)
            marker = renpy.render(self._marker, width, height, st, at)
            AMood_D = renpy.render(self._AMood_D, width, height, st, at)
            SMood_D = renpy.render(self._SMood_D, width, height, st, at)
            CMood_D = renpy.render(self._CMood_D, width, height, st, at)

            render.blit(AMood_D, (1454,569))
            render.blit(CMood_D, (1530,569))
            render.blit(SMood_D, (1606,569))

            renpy.redraw(self, 0)
            return render


screen missions:
    add "minigames/missions/missions_bg.png"
    add Missions()
    if infocheck != 0:
        imagebutton auto "minigames/missions/marker_%s.png" focus_mask True xpos MarkerA_X ypos MarkerA_Y action SetVariable("infocheck", 0)
    else:
        add "minigames/missions/marker_hover.png"

    if infocheck != 1:
        imagebutton auto "minigames/missions/marker_%s.png" focus_mask True xpos MarkerB_X ypos MarkerB_Y action SetVariable("infocheck", 1)
    else:
        add "minigames/missions/marker_hover.png"

    if infocheck != 2:
        imagebutton auto "minigames/missions/marker_%s.png" focus_mask True xpos MarkerC_X ypos MarkerC_Y action SetVariable("infocheck", 2)
    else:
        add "minigames/missions/marker_hover.png"

    if len(MarkerAName) >= 10 and infocheck == 0:
        $ FontSize = 42
        $ NameY = 348
    elif len(MarkerAName) < 10 and infocheck == 0:
        $ FontSize = 48
        $ NameY = 342

    if len(MarkerBName) >= 10 and infocheck == 1:
        $ FontSize = 42
        $ NameY = 348
    elif len(MarkerBName) < 10 and infocheck == 1:
        $ FontSize = 48
        $ NameY = 342

    if len(MarkerCName) >= 10 and infocheck == 2:
        $ FontSize = 42
        $ NameY = 348
    elif len(MarkerCName) < 10 and infocheck == 2:
        $ FontSize = 48
        $ NameY = 342

    if infocheck == 0:
        if tutorial == True:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextA), SetVariable("Mission_Active", True), SetVariable("successchance", chanceA), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_pc_tutorial2")
        else:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextA), SetVariable("Mission_Active", True), SetVariable("successchance", chanceA), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_main_room")
        text ("{color=#ffff}{size=[FontSize]}{font=fonts/GGothic.otf}"+MarkerAName) xpos 1451 ypos NameY
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(daystextA)+" days") xpos 1451 ypos 402
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(chanceA)+"%") xpos 1451 ypos 631
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Easy") xpos 1451 ypos 285
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Nuttin") xpos 1451 ypos 456
    if infocheck == 1:
        if tutorial == True:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextB), SetVariable("Mission_Active", True), SetVariable("successchance", chanceB), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_pc_tutorial2")
        else:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextB), SetVariable("Mission_Active", True), SetVariable("successchance", chanceB), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_main_room")
        text ("{color=#ffff}{size=[FontSize]}{font=fonts/GGothic.otf}"+MarkerBName) xpos 1451 ypos NameY
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(daystextB)+" days") xpos 1451 ypos 402
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(chanceB)+"%") xpos 1451 ypos 631
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Normal") xpos 1451 ypos 285
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Nuttin") xpos 1451 ypos 456
    if infocheck == 2:
        if tutorial == True:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextC), SetVariable("Mission_Active", True), SetVariable("successchance", chanceC), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_pc_tutorial2")
        else:
            imagebutton auto "minigames/missions/missions_start_%s.png" focus_mask True action SetVariable("estimatedtime", daystextC), SetVariable("Mission_Active", True), SetVariable("successchance", chanceC), SetVariable("MissionDay", Day+estimatedtime), Hide("missions"), Jump("woohp_main_room")
        text ("{color=#ffff}{size=[FontSize]}{font=fonts/GGothic.otf}"+MarkerCName) xpos 1451 ypos NameY
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(daystextC)+" days") xpos 1451 ypos 402
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+str(chanceC)+"%") xpos 1451 ypos 631
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Hard") xpos 1451 ypos 285
        text ("{color=#ffff}{size=48}{font=fonts/GGothic.otf}"+"Nuttin") xpos 1451 ypos 456
    if infocheck == 3:
        add "minigames/missions/missions_start_locked.png"
        text ("{color=#ffff}{size=42}"+"") xpos 1451 ypos 342
        text ("{color=#ffff}{size=42}"+"") xpos 1451 ypos 402
        text ("{color=#ffff}{size=42}"+"") xpos 1451 ypos 631
        text ("{color=#ffff}{size=42}"+"") xpos 1451 ypos 285
        text ("{color=#ffff}{size=42}"+"") xpos 1451 ypos 456
